# Enum Class VariantEffect.FunctionalClass

java.lang.Object
java.lang.Enum<VariantEffect.FunctionalClass>
org.snpeff.snpEffect.VariantEffect.FunctionalClass

All Implemented Interfaces:
  `Serializable, Comparable<VariantEffect.FunctionalClass>, Constable`

Enclosing class:
  `VariantEffect`

public static enum VariantEffect.FunctionalClass extends Enum<VariantEffect.FunctionalClass>
This class is only getFused for SNPs

Author:
  pcingola

## Nested Class Summary

### Nested classes/interfaces inherited from class Enum

`Enum.EnumDesc<E>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`MISSENSE`
`NONE`
`NONSENSE`
`SILENT`

## Method Summary

Modifier and Type
Method
Description
`static VariantEffect.FunctionalClass`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static VariantEffect.FunctionalClass[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### NONE

public static final VariantEffect.FunctionalClass NONE

### SILENT

public static final VariantEffect.FunctionalClass SILENT

### MISSENSE

public static final VariantEffect.FunctionalClass MISSENSE

### NONSENSE

public static final VariantEffect.FunctionalClass NONSENSE

## Method Details

### values

public static VariantEffect.FunctionalClass[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static VariantEffect.FunctionalClass valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null